WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Add-On ke WorldWideScripts.net

@id1wwsBerlangganan feed kami untuk tetap up to date!

Baru ! Ikuti kami seperti yang Anda inginkan!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Ikuti saya di Twitter Follow Me On G + Ikuti Me On CodeCanyon hidup Demo

Demo - Non Database (lumpuh)
Demo - Database (lumpuh)
Demo lumpuh! Kami telah bergegas versi sebenarnya dari masing-masing fungsi dan ekstensi.

PHP Versi Finder - Diperbarui untuk v 1.0.3c 2010/12/09

Cari apa versi PHP naskah Anda membutuhkan. Ketika ditanya apa versi PHP yang diperlukan untuk menjalankan skrip kami kami tidak memiliki jawaban pasti. Kami menciptakan script ini untuk menentukan versi PHP, dan kemudian kami membawanya ke tingkat lain dengan mencari fungsi usang. Tapi kami tidak berhenti hanya pada saat itu. Kami termasuk PHP Extensions dan konstruksi bahasa. Kami hampir menyebutnya baik pada saat itu, tapi kemudian kita bertanya-tanya... berapa kali kita menggunakan fungsi tersebut. Penggunaan yang berlebihan dari fungsi yang sama dapat menurunkan kinerja. Pemantauan berapa kali fungsi yang digunakan dapat membantu menentukan apakah "Pengguna Dibuat Fungsi" dapat dibuat untuk mengurangi kode dan meningkatkan kinerja.

Deteksi

PHP Versi Finder trek: 3044 Fungsi PHP, 2260 PHP Extensions, 23 Bahasa Constructs, 19 Saran Alternatif, 7 Tips / Trik / Notes. (Ditambah 69 Eksperimental, 20 Tersisih, 47 "svn" fungsi)
kode TIDAK harus lengkap dan tidak berfungsi. Ia bahkan tidak harus masuk akal. Selama itu adalah antara <? Php dan?> Akan dievaluasi. Lumpuh Demo - demo telah lumpuh untuk mencegah orang dari menggunakan itu daripada membeli itu.

Berhenti Menebak!

Sejujurnya - sebagian besar pengembang "bola-taman" apa versi PHP diperlukan dengan mengingat beberapa "kunci" fungsi mereka digunakan. Dengan PHP Versi Finder Anda dapat mengetahui dengan pasti apa versi PHP yang sebenarnya diperlukan!
Jangan Tebak! - Run PHP Versi Finder pada script Anda untuk mengetahui dengan pasti apa yang verions PHP diperlukan untuk mengoperasikan naskah Anda!

usang Deteksi

PHP Versi Finder memungkinkan Anda tahu jika ada fungsi yang digunakan usang.
Usang Deteksi - Periksa skrip Anda untuk fungsi usang

dua Versi

PHP Versi Finder TIDAK memerlukan database. Namun, bagi Anda yang lebih suka menggunakan database, script tidak termasuk versi basis data.
Optionhal Database - PHP versi finder TIDAK memerlukan database, bagaimanapun, versi alternatif disediakan bagi mereka yang ingin menggunakan database.
Mengapa Dua Versi?
Ini semua bermuara pada nomor. Jika ada banyak fungsi PHP, database versi NON lebih cepat. Jika hanya ada beberapa fungsi, versi database lebih cepat. Berapa cepat? Nah, itu diukur dalam mikro detik. Jadi tidak benar-benar terlihat. Setelah kita membuat database versi kami memutuskan itu tidak sebanding dengan usaha sebagai kinerjanya tidak terlihat berbeda. Kami memutuskan untuk memasukkannya karena sudah dibangun - freebie jika Anda suka.

Instalasi

Instalasi sederhana. Upload direktori, mengedit dua pengaturan dan Anda sudah selesai.
Installion - Upload 1 direktori ke server Anda, mengedit satu file konfigurasi dan Anda siap untuk pergi!

input

Anda dapat meng-upload file dari komputer Anda, memindai file atau seluruh direktori pada server, atau paste kode dalam kotak untuk diproses.
Beberapa Input - Anda dapat meng-upload file, memindai direktori atau check blok kode.

Saran alternatif

Jika PHP Versi Finder menemukan fungsi yang usang, itu akan memberikan saran alternatif yang bisa menggantikan fungsi usang.
Saran alternatif - Anda dapat membuat script Sebagai contoh:
jika Anda menggunakan file_put_contents (yang memerlukan PHP 5), PHP Versi Finder akan membiarkan Anda tahu bahwa Anda bisa menggunakan fwrite sebaliknya yang bisa menurunkan versi yang dibutuhkan ke PHP 4. Tidak hanya itu, tapi ada catatan yang melekat pada file_put_contents yang menunjukkan kode yang digunakan untuk membuat file_put_contents kompatibel.

Membeli PHP Versi Finder SEKARANG!

Membuat Hidup Mudah! Cari fungsi usang, dapatkan saran kompatibel dan tahu apa versi PHP yang diperlukan untuk menjalankan skrip Anda
Beli Sekarang - Membuat Hidup Mudah, menemukan fungsi usang, dapatkan saran kompatibel dan tahu apa versi PHP yang diperlukan untuk menjalankan skrip Anda.

Fitur saat ini (v 1.0.0) - 12/1/2010

  • opsional database
  • usang Deteksi
  • Berkas Upload Pengolahan
  • Direktori Pengolahan
  • Disisipkan Kode Pengolahan
  • AutoComplete
  • sintaks Highlighter
  • 3044 Fungsi PHP
  • 2260 Ekstensi PHP
  • 23 Bahasa Constructs
  • 19 Saran Alternatif
  • 7 Tips / Trik / Catatan
  • Ditambah 69 Fungsi Eksperimental
  • Ditambah 20 Usang Fungsi
  • Ditambah 47 "svn" / Fungsi diketahui

Perbarui v 1.0.1 2010/12/03

  • Peringatan Pemberitahuan tetap
  • Tetap "Variabel Undefined" Kesalahan
  • Kesalahan Ejaan tetap
  • Updated Bantuan File untuk mencerminkan perubahan
  • Ditambahkan Perizinan Penjelasan
  • Dibersihkan "Laporan File"

Perbarui v 1.0.2 12/4/2010

  • Peringatan Pemberitahuan tetap
  • Tetap "Variabel Undefined" Kesalahan
  • Updated Bantuan File untuk mencerminkan perubahan

Perbarui v 1.0.3c 2010/12/09

  • Dibersihkan kode
  • Menulis ulang bagaimana statistik yang dihitung.
  • Menulis ulang "Laporan File"

Ambil
Komponen lain dalam kategori iniSemua komponen penulis ini
KomentarPertanyaan yang sering diajukan dan jawaban

Properties

dibuat:
3 10 Desember

Pembaharuan Terakhir:
10 Desember 10

Resolusi tinggi:
Tidak

Browser yang kompatibel:
IE7, IE8, Safari, Opera

file Termasuk:
JavaScript JS, HTML, CSS, PHP, SQL

Versi perangkat lunak:
PHP 4.x, PHP 5.x, PHP 5,0-5,2, PHP 5.3, MySQL 5.x

Kata kunci

eCommerce, eCommerce, Semua barang, peringatan usang, versi php, sintaks